<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<title>SUPREM.IO - Battle Arena Game</title>
<link rel="stylesheet" href="static/styles.css?ver=0.0.6">
<link href="https://fonts.googleapis.com/css2?family=Oswald" rel="stylesheet">
<link rel="icon" type="image/png" href="/static/images/favicon.png" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta content="SUPREM.IO - Battle Arena Platformer Game" property="og:title">
<meta content="A new online battle arena platformer with tons of weapons and enthralling, high-pace gameplay. Play from your browser with your friends!" property="og:description">
<meta name="description" content="A new online battle arena platformer with tons of weapons and enthralling, high-pace gameplay. Play from your browser with your friends!">
<meta name="keywords" content="supremio, suprem, 2d battle arena, io, battle arena browser game, browser game, game, web game, multiplayer, supremeio, battle, arena, battle arena game, battle arena, fight, fight game, online fight game, online game, multiplayer fight game, multiplayer battle arena game, multiplayer battle, zomgman online, zomgman">
<meta content="SUPREM.IO" property="og:site_name">
<meta content="/static/images/game-icon.png" property="og:image">
<meta name="theme-color" content="#ff6464">

<script type="3f1e4d3bd3da2e37384d7bd0-text/javascript">
        window.aiptag = window.aiptag || {cmd: []};
        aiptag.cmd.display = aiptag.cmd.display || [];	aiptag.cmd.player = aiptag.cmd.player || [];
        // Show GDPR consent tool
        aiptag.gdprShowConsentTool = true;
        // If you use your own GDPR consent tool please set aiptag.gdprConsent = false; if an EU user has declined or not yet accepted marketing cookies, for users outside the EU or for users that accepted the GDPR please use aiptag.gdprConsent = true;
    
        aiptag.cmd.player.push(function() {
            adplayer = new aipPlayer({			
                AD_WIDTH: 960,
                AD_HEIGHT: 540,
                AD_FULLSCREEN: false,
                AD_CENTERPLAYER: false,
                LOADING_TEXT: 'loading advertisement',
                PREROLL_ELEM: function(){return document.getElementById('preroll')},
                AIP_COMPLETE: function ()  {
                    /*******************
                     ***** WARNING *****
                     *******************
                     Please do not remove the PREROLL_ELEM
                     from the page, it will be hidden automaticly.
                     If you do want to remove it use the AIP_REMOVE callback.
                    */
                    alert("Ad Completed, load your content here");
                },
                AIP_REMOVE: function ()  {
                    // Here it's save to remove the PREROLL_ELEM from the page if you want. But it's not recommend.
                }		});
        });
    
        function show_preroll() {
            //check if the adslib is loaded correctly or blocked by adblockers etc.
            if (typeof adplayer !== 'undefined') {
                aiptag.cmd.player.push(function() { adplayer.startPreRoll(); });
            } else {
                //Adlib didnt load this could be due to an adblocker, timeout etc.
                //Please add your script here that starts the content, this usually is the same script as added in AIP_COMPLETE or AIP_REMOVE.
                alert("Ad Could not be loaded, load your content here");
            }
        }
    </script>
<script async src="//api.adinplay.com/libs/aiptag/pub/CRM/suprem.io/tag.min.js" type="3f1e4d3bd3da2e37384d7bd0-text/javascript"></script>
</head>
<body>
<div id="menu-wrapper">
<div id="menu-background-image"></div>
<div id="menu-row-top-wrapper">
<div style="width: 10rem">
<a href="#" id="menu-featuredyoutube-link" target="_blank">
<div id="menu-featuredyoutube-wrapper" class="menu-wrapper-class noselect">
<div>
 <div style="text-align: center; width: 100%">
<span class="menu-featuredyoutube-header bolded">Featured Youtuber</span>
</div>
<svg style="float:left" class="svg-scale" xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 24 24">
<path d="M19.615 3.184c-3.604-.246-11.631-.245-15.23 0-3.897.266-4.356 2.62-4.385 8.816.029 6.185.484 8.549 4.385 8.816 3.6.245 11.626.246 15.23 0 3.897-.266 4.356-2.62 4.385-8.816-.029-6.185-.484-8.549-4.385-8.816zm-10.615 12.816v-8l8 3.993-8 4.007z" fill="white" /></svg>
<div id="menu-featuredyoutube-name">firetto</div>
</div>
</div>
</a>
</div>
</div>
<div id="menu-row-middle-wrapper">
<div id="menu-title-wrapper" class="noselect menu-slanted">
<span class="menu-title-content">SUPREM.IO</span>
</div>
<div id="menu-error-wrapper" class="menu-wrapper-class noselect"></div>
<div id="menu-news-wrapper" class="menu-wrapper-class">
<div class="menu-news-header-wrapper">
<span class="menu-news-header">Pretty!</span>
<br>
<span class="menu-news-subheader">v0.0.6 ~ May 20, 2022</span>
</div>
<div class="menu-news-content">
<p>
Ooh! A new <span class="bolded">menu background</span>! It's about time, it needed a makeover.
</p>
<p>
First off, this update brings the <span class="bolded">scoreboard</span>! Press and hold <span class="bolded">Tab</span> in-game to view the kills, deaths, damage dealt, and damage taken for each player.
</p>
<p>
Next, we have the new <span class="bolded">Semi-Auto Shotgun</span>, which fires 5 bullets in a narrow cone and packs a punch!
</p>
<p>
This update also brings the new map <span class="bolded">Puncture</span>! When playing this map, remember that you can shoot through one-block-thin walls...
</p>
<p>
If you hop into a game, you'll also notice the new <span class="bolded">parallax backgrounds</span>!
</p>
<p>
Lastly, <span class="bolded">chat</span> has been fully disabled in random matches, but it's still fully available in private matches!
</p>
<p>
As always, we have tons of <span class="bolded">bug fixes</span>, <span class="bolded">optimizations</span>, and <span class="bolded">tuning to maps and weapon stats</span>. You can read about the specifics <a href="https://suprem.io/changelog.html">here</a>. TLDR: The Pistol and SMG have increased recoil, a few fragile blocks are removed from Sentience, and it's now harder to fall off the map in Cosmic.
</p>
<p>
If you still haven't joined SUPREM.IO's <a href="https://discord.gg/4MpEnM6">Discord Server</a>, you should do so! You can chat with the game's amazing community and share your thoughts about this new update, as well as stay up-to-date with all SUPREM.IO news!
</p>
</div>
<div class="menu-news-header-wrapper">
<span class="menu-news-header">Two New Maps!</span>
<br>
<span class="menu-news-subheader">v0.0.5 ~ March 5, 2022</span>
</div>
<div class="menu-news-content">
<p>
WE'RE BACK! Let's cut to the chase: this update brings two new maps: <span class="bolded">Cube</span>, a very small and crowded map, and <span class="bolded">Cosmic</span>, which is unlike what you've ever seen before.
</p>
<p>
Next, random matches now feature <span class="bolded">smaller maps</span> more often to make things more fast-paced!
</p>
<p>
Lastly, a few tunes to weapon stats. You can read about the specifics <a href="https://suprem.io/changelog.html">here</a>. TLDR: The grenade and katana now sting a little bit less.
</p>
<p>
If you still have not done so, join SUPREM.IO's <a href="https://discord.gg/4MpEnM6">Discord Server</a> to interact with the game's amazing community and tell us your thoughts about this new update!
</p>
</div>
<div class="menu-news-header-wrapper">
<span class="menu-news-header">BOOM!!!</span>
<br>
<span class="menu-news-subheader">v0.0.4 ~ January 7, 2021</span>
</div>
<div class="menu-news-content">
<p>
And we're back with the most <span class="bolded">EXPLOSIVE</span> update yet!
</p>
<p>
This update brings, as you have probably already guessed, <span class="bolded">explosions</span>!
</p>
<p>
The first new weapon is the <span class="bolded">impact grenade</span>, which explodes upon hitting a player or block, or if exploded by another source!
</p>
<p>
Next, there's the <span class="bolded">bazooka</span>, which fires a rocket that explodes upon hitting a player or terrain.
</p>
<p>
Lastly, we have the <span class="bolded">Epic AK-47</span>, which is an extremely rare variant of the original that fires <span class="bolded">explosive bullets</span>!
</p>
<p>
This update also brings <span class="bolded">TNT</span> blocks, which explode upon being broken, and have 20 health!
These TNT blocks have been placed around the existing maps such as Battlefun, Tubular, and more, as well as inspiring <span class="bolded">two new maps</span>: <span class="bolded">Detonate</span> and <span class="bolded">Serpent</span>, the latter of which is the biggest map yet!
</p>
<p>
As usual, there are lots of <span class="bolded">bug fixes</span> and tuning to weapon stats. You can read about the specifics <a href="https://suprem.io/changelog.html">here</a>. TLDR: Hammer swings slightly faster, and the revolver and shotgun are less dominant.
</p>
<p>
If you still have not done so, join SUPREM.IO's <a href="https://discord.gg/4MpEnM6">Discord Server</a> to interact with the game's amazing community and tell us your thoughts about this new update!
</p>
</div>
</div>
<div id="menu-main-wrapper" class="menu-wrapper-class noselect">
<div id="menu-main-content-wrapper">
<input type="text" placeholder="ENTER YOUR NAME HERE" id="menu-username-field" class="menu-slanted" maxlength="16">
<div id="menu-public-join" class="button-default menu-slanted noselect">
<span class="menu-slanted-content" id="menu-public-join-content">JOIN RANDOM MATCH</span>
<div class="spinner" id="menu-public-join-spinner">
<div class="bounce1"></div>
<div class="bounce2"></div>
 <div class="bounce3"></div>
</div>
</div>
<div id="menu-public-join-ability-wrapper">
<div id="menu-public-join-ability-1" class="menu-lobby-ability">
<span class="menu-popout-text">
<span class="bolded">Impel</span>
<br>
Propel horizontally in the direction you are facing.
<br>
<i>Cooldown: 10s</i>
</span>
</div>
<div id="menu-public-join-ability-2" class="menu-lobby-ability">
<span class="menu-popout-text">
<span class="bolded">Upsurge</span>
<br>
Thrust up into the air, thrust down if holding the Move Down key.
<br>
<i>Cooldown: 10s</i>
</span>
</div>
<div id="menu-public-join-ability-3" class="menu-lobby-ability">
<span class="menu-popout-text">
<span class="bolded">Wallbreaker</span>
<br>
Ignite your hands, increasing the range and power (enough to break blocks!) of your next
fist punch, also increasing movement speed for 2.5 seconds.
<br>
<i>Cooldown: 12s</i>
</span>
</div>
</div>
<div id="menu-private-create" class="button-default menu-slanted noselect">
<span class="menu-slanted-content">CREATE PRIVATE MATCH</span>
</div>
<br><br>
<input type="text" placeholder="ENTER MATCH CODE" id="menu-private-code" class="menu-slanted" maxlength="50">
<div id="menu-private-join" class="button-default menu-slanted noselect">
<span class="menu-slanted-content">JOIN MATCH BY CODE</span>
</div>
</div>
<div id="menu-main-loading-wrapper">
<div id="menu-main-loading-spinner" class="spinner">
<div class="bounce1"></div>
<div class="bounce2"></div>
<div class="bounce3"></div>
</div>
<div id="menu-main-loading-message">Game not loading? Join the <a target="_blank" href="https://discord.gg/4MpEnM6">Discord Server</a> to reach out for help.</div>
</div>
</div>
<div id="menu-lobby-wrapper" class="menu-wrapper-class">
<div id="menu-id-wrapper" class="menu-wrapper-class">
<div id="menu-lobby-link-wrapper">
<span id="menu-id-copy-text" class="menu-popout-text noselect">Click to copy link.</span>
<span class="menu-content-text noselect">
Invite Link:
</span>
<span id="menu-lobby-link-text" class="menu-content-text bolded">
PLACEHOLDER
</span>
</div>
<span class="menu-content-text noselect">
Match Code:
</span>
<span id="menu-lobby-id-text" class="menu-content-text bolded">
PLACEHOLDER
</span>
</div>
<div id="menu-id-cover-wrapper" class="menu-wrapper-class noselect">
<span id="menu-id-cover-copy-text" class="menu-popout-text noselect">Click to copy link.</span>
<span class="bolded">Match Code Hidden</span>
</div>
<div id="menu-lobby-left-column">
<div id="menu-lobby-player-1" class="menu-lobby-player-wrapper menu-slanted">
<input id="menu-lobby-player-name-1" class="menu-lobby-player-input" maxlength="16" autocomplete="off">
<svg id="menu-lobby-player-leader-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="menu-lobby-leader">
<g transform="translate(0,0)" style="touch-action: none;">
<path d="M408.256 119.46l-37.7 52.165 19.57 44.426 34.8-37.214-16.67-59.375zm86.074 12.513L384.44 249.498 334.01 135.02l-75.162 132.947-86.948-131.78-33.334 114.122L17.922 132.83l39.3 127.6c1.945-.348 3.94-.54 5.98-.54 18.812 0 34.26 15.452 34.26 34.262 0 13.823-8.346 25.822-20.235 31.22l5.337 17.33c12.425 25.466 71.863 45.152 176.582 47.206 110.805 2.174 178.12-17.54 189.854-47.207h-.002l4.357-20.26c-16.836-2.114-30.02-16.612-30.02-33.986 0-18.81 15.45-34.262 34.263-34.262 3.513 0 6.91.54 10.11 1.54l26.622-123.762zm-391.77 2.04l1.22 56.337 25.56 24.89 9.592-32.842-36.37-48.386zm150.585 2.91l-24.483 51.36 28.955 43.885 24.922-44.08-29.395-51.166zm204.453 135.962c-8.712 0-15.575 6.862-15.575 15.572 0 8.71 6.863 15.574 15.575 15.574s15.572-6.863 15.572-15.573-6.86-15.572-15.572-15.572zM63.2 278.58c-8.71 0-15.573 6.864-15.573 15.574s6.862 15.573 15.574 15.573c8.713 0 15.573-6.862 15.573-15.573 0-8.71-6.86-15.574-15.572-15.574zm130.33 17.842c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.26-34.262zm131.234 0c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.262-34.262zm-131.235 18.69c-8.713 0-15.573 6.86-15.573 15.572 0 8.71 6.86 15.574 15.572 15.574 8.71 0 15.572-6.864 15.572-15.574s-6.86-15.573-15.573-15.573zm131.234 0c-8.712 0-15.573 6.86-15.573 15.572 0 8.71 6.862 15.574 15.574 15.574s15.574-6.864 15.574-15.574-6.862-15.573-15.574-15.573z" fill="#ffc800" fill-opacity="1" transform="translate(0, 0) scale(1, 1) rotate(360, 256, 256)"></path>
</g>
</svg>
<svg id="menu-lobby-player-ready-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="menu-lobby-checkmark">
<g transform="translate(0,0)" style="touch-action: none;">
<path d="M17.47 250.9C88.82 328.1 158 397.6 224.5 485.5c72.3-143.8 146.3-288.1 268.4-444.37L460 26.06C356.9 135.4 276.8 238.9 207.2 361.9c-48.4-43.6-126.62-105.3-174.38-137z" fill="#64ff00" fill-opacity="1" transform="translate(0, 0) scale(1, 1) rotate(360, 256, 256)" stroke="#64ff00" stroke-width="20"></path>
</g>
</svg>
<div id="menu-lobby-player-ability-1" class="menu-lobby-player-ability"></div>
<div id="menu-lobby-player-color-1" class="menu-lobby-player-color"></div>
<div id="menu-lobby-player-cross-1" class="close menu-lobby-player-cross"></div>
</div>
<div id="menu-lobby-player-2" class="menu-lobby-player-wrapper menu-slanted">
<input id="menu-lobby-player-name-2" class="menu-lobby-player-input" maxlength="16" autocomplete="off">
<svg id="menu-lobby-player-leader-2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="menu-lobby-leader">
 <g transform="translate(0,0)" style="touch-action: none;">
<path d="M408.256 119.46l-37.7 52.165 19.57 44.426 34.8-37.214-16.67-59.375zm86.074 12.513L384.44 249.498 334.01 135.02l-75.162 132.947-86.948-131.78-33.334 114.122L17.922 132.83l39.3 127.6c1.945-.348 3.94-.54 5.98-.54 18.812 0 34.26 15.452 34.26 34.262 0 13.823-8.346 25.822-20.235 31.22l5.337 17.33c12.425 25.466 71.863 45.152 176.582 47.206 110.805 2.174 178.12-17.54 189.854-47.207h-.002l4.357-20.26c-16.836-2.114-30.02-16.612-30.02-33.986 0-18.81 15.45-34.262 34.263-34.262 3.513 0 6.91.54 10.11 1.54l26.622-123.762zm-391.77 2.04l1.22 56.337 25.56 24.89 9.592-32.842-36.37-48.386zm150.585 2.91l-24.483 51.36 28.955 43.885 24.922-44.08-29.395-51.166zm204.453 135.962c-8.712 0-15.575 6.862-15.575 15.572 0 8.71 6.863 15.574 15.575 15.574s15.572-6.863 15.572-15.573-6.86-15.572-15.572-15.572zM63.2 278.58c-8.71 0-15.573 6.864-15.573 15.574s6.862 15.573 15.574 15.573c8.713 0 15.573-6.862 15.573-15.573 0-8.71-6.86-15.574-15.572-15.574zm130.33 17.842c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.26-34.262zm131.234 0c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.262-34.262zm-131.235 18.69c-8.713 0-15.573 6.86-15.573 15.572 0 8.71 6.86 15.574 15.572 15.574 8.71 0 15.572-6.864 15.572-15.574s-6.86-15.573-15.573-15.573zm131.234 0c-8.712 0-15.573 6.86-15.573 15.572 0 8.71 6.862 15.574 15.574 15.574s15.574-6.864 15.574-15.574-6.862-15.573-15.574-15.573z" fill="#ffc800" fill-opacity="1" transform="translate(0, 0) scale(1, 1) rotate(360, 256, 256)"></path>
</g>
</svg>
<svg id="menu-lobby-player-ready-2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="menu-lobby-checkmark">
<g transform="translate(0,0)" style="touch-action: none;">
<path d="M17.47 250.9C88.82 328.1 158 397.6 224.5 485.5c72.3-143.8 146.3-288.1 268.4-444.37L460 26.06C356.9 135.4 276.8 238.9 207.2 361.9c-48.4-43.6-126.62-105.3-174.38-137z" fill="#64ff00" fill-opacity="1" transform="translate(0, 0) scale(1, 1) rotate(360, 256, 256)" stroke="#64ff00" stroke-width="20"></path>
</g>
</svg>
<div id="menu-lobby-player-ability-2" class="menu-lobby-player-ability"></div>
<div id="menu-lobby-player-color-2" class="menu-lobby-player-color"></div>
<div id="menu-lobby-player-cross-2" class="menu-lobby-player-cross close"></div>
</div>
<div id="menu-lobby-player-3" class="menu-lobby-player-wrapper menu-slanted">
<input id="menu-lobby-player-name-3" class="menu-lobby-player-input" maxlength="16" autocomplete="off">
<svg id="menu-lobby-player-leader-3" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="menu-lobby-leader">
<g transform="translate(0,0)" style="touch-action: none;">
<path d="M408.256 119.46l-37.7 52.165 19.57 44.426 34.8-37.214-16.67-59.375zm86.074 12.513L384.44 249.498 334.01 135.02l-75.162 132.947-86.948-131.78-33.334 114.122L17.922 132.83l39.3 127.6c1.945-.348 3.94-.54 5.98-.54 18.812 0 34.26 15.452 34.26 34.262 0 13.823-8.346 25.822-20.235 31.22l5.337 17.33c12.425 25.466 71.863 45.152 176.582 47.206 110.805 2.174 178.12-17.54 189.854-47.207h-.002l4.357-20.26c-16.836-2.114-30.02-16.612-30.02-33.986 0-18.81 15.45-34.262 34.263-34.262 3.513 0 6.91.54 10.11 1.54l26.622-123.762zm-391.77 2.04l1.22 56.337 25.56 24.89 9.592-32.842-36.37-48.386zm150.585 2.91l-24.483 51.36 28.955 43.885 24.922-44.08-29.395-51.166zm204.453 135.962c-8.712 0-15.575 6.862-15.575 15.572 0 8.71 6.863 15.574 15.575 15.574s15.572-6.863 15.572-15.573-6.86-15.572-15.572-15.572zM63.2 278.58c-8.71 0-15.573 6.864-15.573 15.574s6.862 15.573 15.574 15.573c8.713 0 15.573-6.862 15.573-15.573 0-8.71-6.86-15.574-15.572-15.574zm130.33 17.842c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.26-34.262zm131.234 0c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.262-34.262zm-131.235 18.69c-8.713 0-15.573 6.86-15.573 15.572 0 8.71 6.86 15.574 15.572 15.574 8.71 0 15.572-6.864 15.572-15.574s-6.86-15.573-15.573-15.573zm131.234 0c-8.712 0-15.573 6.86-15.573 15.572 0 8.71 6.862 15.574 15.574 15.574s15.574-6.864 15.574-15.574-6.862-15.573-15.574-15.573z" fill="#ffc800" fill-opacity="1" transform="translate(0, 0) scale(1, 1) rotate(360, 256, 256)"></path>
</g>
</svg>
<svg id="menu-lobby-player-ready-3" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="menu-lobby-checkmark">
<g transform="translate(0,0)" style="touch-action: none;">
<path d="M17.47 250.9C88.82 328.1 158 397.6 224.5 485.5c72.3-143.8 146.3-288.1 268.4-444.37L460 26.06C356.9 135.4 276.8 238.9 207.2 361.9c-48.4-43.6-126.62-105.3-174.38-137z" fill="#64ff00" fill-opacity="1" transform="translate(0, 0) scale(1, 1) rotate(360, 256, 256)" stroke="#64ff00" stroke-width="20"></path>
</g>
</svg>
<div id="menu-lobby-player-ability-3" class="menu-lobby-player-ability"></div>
<div id="menu-lobby-player-color-3" class="menu-lobby-player-color"></div>
<div id="menu-lobby-player-cross-3" class="menu-lobby-player-cross close"></div>
</div>
<div id="menu-lobby-player-4" class="menu-lobby-player-wrapper menu-slanted">
<input id="menu-lobby-player-name-4" class="menu-lobby-player-input" maxlength="16" autocomplete="off">
<svg id="menu-lobby-player-leader-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="menu-lobby-leader">
<g transform="translate(0,0)" style="touch-action: none;">
<path d="M408.256 119.46l-37.7 52.165 19.57 44.426 34.8-37.214-16.67-59.375zm86.074 12.513L384.44 249.498 334.01 135.02l-75.162 132.947-86.948-131.78-33.334 114.122L17.922 132.83l39.3 127.6c1.945-.348 3.94-.54 5.98-.54 18.812 0 34.26 15.452 34.26 34.262 0 13.823-8.346 25.822-20.235 31.22l5.337 17.33c12.425 25.466 71.863 45.152 176.582 47.206 110.805 2.174 178.12-17.54 189.854-47.207h-.002l4.357-20.26c-16.836-2.114-30.02-16.612-30.02-33.986 0-18.81 15.45-34.262 34.263-34.262 3.513 0 6.91.54 10.11 1.54l26.622-123.762zm-391.77 2.04l1.22 56.337 25.56 24.89 9.592-32.842-36.37-48.386zm150.585 2.91l-24.483 51.36 28.955 43.885 24.922-44.08-29.395-51.166zm204.453 135.962c-8.712 0-15.575 6.862-15.575 15.572 0 8.71 6.863 15.574 15.575 15.574s15.572-6.863 15.572-15.573-6.86-15.572-15.572-15.572zM63.2 278.58c-8.71 0-15.573 6.864-15.573 15.574s6.862 15.573 15.574 15.573c8.713 0 15.573-6.862 15.573-15.573 0-8.71-6.86-15.574-15.572-15.574zm130.33 17.842c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.26-34.262zm131.234 0c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.262-34.262zm-131.235 18.69c-8.713 0-15.573 6.86-15.573 15.572 0 8.71 6.86 15.574 15.572 15.574 8.71 0 15.572-6.864 15.572-15.574s-6.86-15.573-15.573-15.573zm131.234 0c-8.712 0-15.573 6.86-15.573 15.572 0 8.71 6.862 15.574 15.574 15.574s15.574-6.864 15.574-15.574-6.862-15.573-15.574-15.573z" fill="#ffc800" fill-opacity="1" transform="translate(0, 0) scale(1, 1) rotate(360, 256, 256)"></path>
</g>
</svg>
<svg id="menu-lobby-player-ready-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="menu-lobby-checkmark">
<g transform="translate(0,0)" style="touch-action: none;">
<path d="M17.47 250.9C88.82 328.1 158 397.6 224.5 485.5c72.3-143.8 146.3-288.1 268.4-444.37L460 26.06C356.9 135.4 276.8 238.9 207.2 361.9c-48.4-43.6-126.62-105.3-174.38-137z" fill="#64ff00" fill-opacity="1" transform="translate(0, 0) scale(1, 1) rotate(360, 256, 256)" stroke="#64ff00" stroke-width="20"></path>
</g>
</svg>
<div id="menu-lobby-player-ability-4" class="menu-lobby-player-ability"></div>
<div id="menu-lobby-player-color-4" class="menu-lobby-player-color"></div>
<div id="menu-lobby-player-cross-4" class="menu-lobby-player-cross close"></div>
</div>
</div>
<div id="menu-lobby-right-column">
<div id="menu-lobby-map-wrapper">
<div id="menu-lobby-map-label">
<span>Map Name</span>
</div>
<div class="menu-lobby-map-arrow noselect" id="menu-lobby-map-left">&lt</div>
<div class="menu-lobby-map-arrow noselect" id="menu-lobby-map-right">&gt</div>
<div id="menu-lobby-map-image"></div>
</div>
<div id="menu-lobby-ability-wrapper">
<div id="menu-lobby-ability-1" class="menu-lobby-ability">
<span class="menu-popout-text">
<span class="bolded">Impel</span>
<br>
Propel horizontally in the direction you are facing.
<br>
<i>Cooldown: 10s</i>
</span>
</div>
<div id="menu-lobby-ability-2" class="menu-lobby-ability">
<span class="menu-popout-text">
<span class="bolded">Upsurge</span>
<br>
Thrust up into the air, thrust down if holding the Move Down key.
<br>
<i>Cooldown: 10s</i>
</span>
</div>
<div id="menu-lobby-ability-3" class="menu-lobby-ability">
<span class="menu-popout-text">
<span class="bolded">Wallbreaker</span>
<br>
Ignite your hands, increasing the range and power (enough to break blocks!) of your next
fist punch, also increasing movement speed for 2.5 seconds.
<br>
<i>Cooldown: 12s</i>
</span>
</div>
</div>
</div>
<div id="menu-lobby-ready" class="button-default menu-slanted noselect button-breathe">
<span class="menu-slanted-content">READY</span>
</div>
<div id="menu-lobby-start" class="button-default menu-slanted noselect button-breathe">
<span class="menu-slanted-content">START GAME</span>
</div>
<div id="menu-lobby-leave" class="button-default menu-slanted noselect">
<span class="menu-slanted-content">LEAVE LOBBY</span>
</div>
</div>
<div id="menu-chat-wrapper" class="menu-wrapper-class">
<div id="menu-chat-content-wrapper"></div>
<input id="menu-chat-input" type="text" autocomplete="off" placeholder="Send a message to the lobby" maxlength="128">
<div id="menu-chat-send" class="button-default noselect menu-slanted">
<span class="menu-slanted-content">SEND</span>
</div>
</div>
<div id="menu-ad-wrapper-300x250" class="menu-wrapper-class">
<div class="menu-ad-placeholder-text"><span class="bolded">Please turn off your adblock</span> to support <i>SUPREM.IO</i> development! :D</div>
<div id='suprem-io_300x250'>
<script type="3f1e4d3bd3da2e37384d7bd0-text/javascript">
                        aiptag.cmd.display.push(function() { aipDisplayTag.display('suprem-io_300x250'); });
                    </script>
</div>
</div>
<div id="menu-ad-wrapper-728x90" class="menu-wrapper-class">
<div class="menu-ad-placeholder-text"><span class="bolded">Please turn off your adblock</span> to support <i>SUPREM.IO</i> development! :D</div>
<div id='suprem-io_728x90'>
<script type="3f1e4d3bd3da2e37384d7bd0-text/javascript">
                        aiptag.cmd.display.push(function() { aipDisplayTag.display('suprem-io_728x90'); });
                    </script>
</div>
</div>
</div>
<div id="menu-row-bottom-wrapper">
<div id="menu-footer-wrapper" class="menu-wrapper-class">
<a href="changelog.html" target="_blank" class="noselect footer-link">
<div class="footer-link-wrapper">v0.0.6</div>
</a>
<div class="footer-link-wrapper footer-link noselect" id="menu-about-button">ABOUT</div>
<div class="menu-wrapper-class noselect" id="menu-about-popout">
<a href="privacy.html" target="_blank" class="noselect footer-link menu-about-link">
<div class="footer-link footer-link-wrapper">
PRIVACY
</div>
</a>
<a href="cookies.html" target="_blank" class="noselect footer-link menu-about-link">
<div class="footer-link footer-link-wrapper">
COOKIES
</div>
</a>
<a href="credits.html" target="_blank" class="noselect footer-link menu-about-link">
<div class="footer-link footer-link-wrapper">
CREDITS
</div>
</a>
</div>
</div>
<div id="menu-settings-button" class="menu-wrapper-class menu-footer-button">
<svg class="svg-scale" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" style="height: 2em; width: 2em;">
<g transform="translate(0,-15)" style="touch-action: none;">
<path d="M234.875 18.78c-26.087 2.367-51.557 8.56-74.875 18.782 15.37 32.763 14.222 66.706-6.72 82.407-20.835 15.617-54.055 7.965-81.124-15.69-16.246 19.452-29.336 41.36-38.875 65.626 33.83 12.333 56.635 37.665 52.94 63.5-3.698 25.835-32.697 43.74-68.626 46.094 2.338 25.796 8.91 50.778 18.937 73.875 17.81-8.182 35.793-11.09 51.095-8.938 13.032 1.87 23.927 7.015 31.156 16.657 15.817 21.097 7.603 54.713-16.78 81.97 19.516 16.35 42.216 29.444 66.594 39.03 12.33-33.828 37.655-56.634 63.5-52.938 25.844 3.697 43.74 32.696 46.094 68.625 26.087-2.365 51.557-8.555 74.875-18.78-15.766-32.997-14.26-67.588 6.843-83.406 9.64-7.23 22.568-9.022 35.594-7.125 15.112 2.16 31.19 10.25 45.563 22.78 16.088-19.345 29.4-41.51 38.875-65.594-33.83-12.332-56.635-37.653-52.938-63.5 3.697-25.846 32.665-43.772 68.594-46.125-2.36-25.944-8.774-50.663-18.906-73.874-32.612 15.117-66.66 13.145-82.282-7.687-15.696-20.944-7.252-53.86 16.688-81-19.52-16.352-42.248-29.447-66.625-39.032-12.332 33.828-37.657 56.66-63.5 52.968-25.846-3.693-43.744-32.696-46.095-68.625zm21.656 95.126c79.626 0 144.376 64.752 144.376 144.375 0 79.626-64.75 144.376-144.375 144.376-79.624 0-144.374-64.75-144.374-144.375 0-79.624 64.75-144.374 144.375-144.374zm0 18.688c-69.524 0-125.686 56.162-125.686 125.687 0 69.526 56.162 125.69 125.687 125.69 69.526 0 125.69-56.164 125.69-125.69 0-69.522-56.164-125.686-125.69-125.686zm.033 15.125c61.094 0 110.625 49.53 110.625 110.624 0 61.095-49.53 110.625-110.625 110.625s-110.625-49.53-110.625-110.626c0-61.095 49.53-110.625 110.625-110.625z" fill="#ffffff" fill-opacity="1" transform="translate(0, 20) scale(1, 1) rotate(360, 256, 256)"></path>
</g>
</svg>
</div>
<div id="menu-help-button" class="menu-wrapper-class menu-footer-button noselect footer-link footer-link-wrapper">
<span class="menu-popout-text" id="menu-help-button-popout">Check out the <br><span class="bolded">HOW TO PLAY</span> guide!</span>
<div style="line-height: 2em">
<span>HOW TO PLAY</span>
</div>
</div>
<a href="https://discord.gg/4MpEnM6" target="_blank">
<div id="menu-discord-button" class="menu-wrapper-class menu-footer-button">
<svg id="Layer_1" class="svg-scale" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 245 240"><style>.st0{fill:#FFFFFF;}</style><path class="st0" d="M104.4 103.9c-5.7 0-10.2 5-10.2 11.1s4.6 11.1 10.2 11.1c5.7 0 10.2-5 10.2-11.1.1-6.1-4.5-11.1-10.2-11.1zM140.9 103.9c-5.7 0-10.2 5-10.2 11.1s4.6 11.1 10.2 11.1c5.7 0 10.2-5 10.2-11.1s-4.5-11.1-10.2-11.1z" /><path class="st0" d="M189.5 20h-134C44.2 20 35 29.2 35 40.6v135.2c0 11.4 9.2 20.6 20.5 20.6h113.4l-5.3-18.5 12.8 11.9 12.1 11.2 21.5 19V40.6c0-11.4-9.2-20.6-20.5-20.6zm-38.6 130.6s-3.6-4.3-6.6-8.1c13.1-3.7 18.1-11.9 18.1-11.9-4.1 2.7-8 4.6-11.5 5.9-5 2.1-9.8 3.5-14.5 4.3-9.6 1.8-18.4 1.3-25.9-.1-5.7-1.1-10.6-2.7-14.7-4.3-2.3-.9-4.8-2-7.3-3.4-.3-.2-.6-.3-.9-.5-.2-.1-.3-.2-.4-.3-1.8-1-2.8-1.7-2.8-1.7s4.8 8 17.5 11.8c-3 3.8-6.7 8.3-6.7 8.3-22.1-.7-30.5-15.2-30.5-15.2 0-32.2 14.4-58.3 14.4-58.3 14.4-10.8 28.1-10.5 28.1-10.5l1 1.2c-18 5.2-26.3 13.1-26.3 13.1s2.2-1.2 5.9-2.9c10.7-4.7 19.2-6 22.7-6.3.6-.1 1.1-.2 1.7-.2 6.1-.8 13-1 20.2-.2 9.5 1.1 19.7 3.9 30.1 9.6 0 0-7.9-7.5-24.9-12.7l1.4-1.6s13.7-.3 28.1 10.5c0 0 14.4 26.1 14.4 58.3 0 0-8.5 14.5-30.6 15.2z" /></svg>
</div>
</a>
<a href="https://patreon.com/firetto" target="_blank">
<div id="menu-patreon-button" class="menu-wrapper-class menu-footer-button">
<svg class="svg-scale" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 96">
<g fill="#ffffff" fill-rule="evenodd">
<path d="M64.1102,0.1004 C44.259,0.1004 28.1086,16.2486 28.1086,36.0986 C28.1086,55.8884 44.259,71.989 64.1102,71.989 C83.9,71.989 100,55.8884 100,36.0986 C100,16.2486 83.9,0.1004 64.1102,0.1004" />
<polygon points=".012 95.988 17.59 95.988 17.59 .1 .012 .1" />
</g>
</svg>
</div>
</a>

<a href="https://twitter.com/supremiogame" target="_blank">
<div id="menu-twitter-button" class="menu-wrapper-class menu-footer-button">
<svg class="svg-scale" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="50 50 300 300" xml:space="preserve" width="32" height="32">
<g fill="#ffffff">
<path d="M153.6,301.6c94.3,0,145.9-78.2,145.9-145.9c0-2.2,0-4.4-0.1-6.6c10-7.2,18.7-16.3,25.6-26.6
                            c-9.2,4.1-19.1,6.8-29.5,8.1c10.6-6.3,18.7-16.4,22.6-28.4c-9.9,5.9-20.9,10.1-32.6,12.4c-9.4-10-22.7-16.2-37.4-16.2
                            c-28.3,0-51.3,23-51.3,51.3c0,4,0.5,7.9,1.3,11.7c-42.6-2.1-80.4-22.6-105.7-53.6c-4.4,7.6-6.9,16.4-6.9,25.8
                            c0,17.8,9.1,33.5,22.8,42.7c-8.4-0.3-16.3-2.6-23.2-6.4c0,0.2,0,0.4,0,0.7c0,24.8,17.7,45.6,41.1,50.3c-4.3,1.2-8.8,1.8-13.5,1.8
                            c-3.3,0-6.5-0.3-9.6-0.9c6.5,20.4,25.5,35.2,47.9,35.6c-17.6,13.8-39.7,22-63.7,22c-4.1,0-8.2-0.2-12.2-0.7
                            C97.7,293.1,124.7,301.6,153.6,301.6" />
</g>
</svg>
</div>
</a>

<a href="https://www.youtube.com/channel/UCet9103fNdAhZVofok87dKA/" target="_blank">
<div id="menu-youtube-button" class="menu-wrapper-class menu-footer-button">
<svg class="svg-scale" style="float:left" class="svg-scale" xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 24 24">
<path d="M19.615 3.184c-3.604-.246-11.631-.245-15.23 0-3.897.266-4.356 2.62-4.385 8.816.029 6.185.484 8.549 4.385 8.816 3.6.245 11.626.246 15.23 0 3.897-.266 4.356-2.62 4.385-8.816-.029-6.185-.484-8.549-4.385-8.816zm-10.615 12.816v-8l8 3.993-8 4.007z" fill="white" /></svg>
</div>
</a>

</div>
<div id="menu-help-wrapper" class="menu-wrapper-class">
<div id="menu-help-header-wrapper">
<span id="menu-help-header-label" class="noselect">HOW TO PLAY</span>
<div id="menu-help-close-icon">
<div class="close"></div>
</div>
</div>
<div id="menu-help-content-wrapper">
<h2>HOW TO WIN</h2>
<p>To win in <span class="bolded-italic">SUPREM.IO</span>, kill all your enemies before you run out of lives.
When you run out of lives, you will be <em>eliminated</em> and won't respawn. Keep track of your lives at the <em>top of the screen</em>. When you die, you turn into an invulnerable ghost that can fly around the map.
</p>
<br>
<h2>MOVEMENT</h2>
<p><span class="bolded">Double Jumping:</span> Press Jump twice to double jump. Be sure to time your jumps, otherwise you won't jump as high!</p>
<p><span class="bolded">Moonwalking:</span> Moonwalking allows you to move in the opposite direction in which you are facing. To moonwalk, <em>press one of the movement keys while holding down the other one</em> (e.g. hold Move Left and press Move Right).</p>
<br>
<h2>CONTROLS</h2>
<p>These are the default controls, which <em>can be changed in the settings</em> (click on the gear icon in the bottom right, or press Escape in-game!).</p>
<h3>PLAYER CONTROLS</h3>
<p><span class="bolded">Jump</span>: W</p>
<p><span class="bolded">Move Left</span>: A</p>
<p><span class="bolded">Move Right</span>: D</p>
<p><span class="bolded">Attack</span>: Space</p>
<p><span class="bolded">Use Ability</span>: Left Shift</p>
<p><span class="bolded">Pick Up Item</span>: F</p>
<p><span class="bolded">Drop Item</span>: F</p>
<p><span class="bolded">View Scoreboard</span>: Tab</p>
<h3>GHOST CONTROLS</h3>
<p><span class="bolded">Move Up</span>: W</p>
<p><span class="bolded">Move Left</span>: A</p>
<p><span class="bolded">Move Right</span>: D</p>
<p><span class="bolded">Move Down</span>: S</p>
<h3>SPECTATOR CONTROLS</h3>
<p><span class="bolded">Move Camera Up</span>: W</p>
<p><span class="bolded">Move Camera Left</span>: A</p>
<p><span class="bolded">Move Camera Right</span>: D</p>
<p><span class="bolded">Move Camera Down</span>: S</p>
<p><span class="bolded">Spectate Previous Player</span>: Left Arrow</p>
<p><span class="bolded">Spectate Next Player</span>: Right Arrow</p>
</div>
</div>
<div id="menu-cookie-banner" class="menu-wrapper-class">
<i>SUPREM.IO</i> &nbsp;uses cookies to enhance your experience. Please read the cookie policy <a href="cookies.html" target="_blank">here</a>.
<div id="menu-cookie-banner-accept-button" class="menu-wrapper-class menu-cookie-banner-button footer-link-wrapper footer-link noselect">ALLOW COOKIES</div>
<div id="menu-cookie-banner-decline-button" class="menu-wrapper-class menu-cookie-banner-button footer-link-wrapper footer-link noselect">DECLINE</div>
</div>
</div>
<div id="game-wrapper">
<canvas id="game-canvas"></canvas>
<div id="game-hud-wrapper">
<div id="game-lives-wrapper" class="menu-slanted noselect">
<div id="game-lives-player-1-wrapper" class="game-lives-player-wrapper">
<div id="game-lives-player-1-label" class="game-lives-player-label"></div>
<div id="game-lives-player-1" class="game-lives-player"></div>
</div>
<div id="game-lives-player-2-wrapper" class="game-lives-player-wrapper">
<div id="game-lives-player-2-label" class="game-lives-player-label"></div>
<div id="game-lives-player-2" class="game-lives-player"></div>
</div>
<div id="game-lives-player-3-wrapper" class="game-lives-player-wrapper">
<div id="game-lives-player-3-label" class="game-lives-player-label"></div>
<div id="game-lives-player-3" class="game-lives-player"></div>
</div>
<div id="game-lives-player-4-wrapper" class="game-lives-player-wrapper">
<div id="game-lives-player-4-label" class="game-lives-player-label"></div>
<div id="game-lives-player-4" class="game-lives-player"></div>
</div>
</div>
<div id="game-kill-notification-wrapper" class="noselect"></div>
<div id="game-hud-chat-wrapper" class="menu-wrapper-class">
<div id="game-hud-chat-content-wrapper"></div>
<input id="game-hud-chat-input" autocomplete="off" type="text" placeholder="Send a message to the lobby" maxlength="128">
<div id="game-hud-chat-send" class="button-default noselect menu-slanted">
<span class="menu-slanted-content">SEND</span>
</div>
</div>
<div id="game-hud-bottom-right-wrapper">
<div id="game-hud-spectator-controls-wrapper" class="menu-wrapper-class noselect">
<div id="game-hud-spectator-controls-next-player" class="button-default menu-slanted noselect">
<span class="menu-slanted-content">NEXT PLAYER</span>
</div>
<div id="game-hud-spectator-controls-previous-player" class="button-default menu-slanted noselect">
<span class="menu-slanted-content">PREVIOUS PLAYER</span>
</div>
<div id="game-hud-spectator-controls-leave" class="button-default menu-slanted noselect">
<span class="menu-slanted-content">LEAVE MATCH</span>
</div>
</div>
<div id="game-hud-controls-wrapper" class="noselect menu-wrapper-class">
<div class="game-hud-controls-keybind-wrapper" id="game-hud-controls-keybind-jump-wrapper">
<div class="game-hud-controls-keybind-label">
Jump
</div>
<div id="game-hud-controls-keybind-jump" class="game-hud-controls-keybind-key bolded">
W
</div>
</div>
<div class="game-hud-controls-keybind-wrapper" id="game-hud-controls-keybind-moveLeft-wrapper">
<div class="game-hud-controls-keybind-label">
Move Left
</div>
<div id="game-hud-controls-keybind-moveLeft" class="game-hud-controls-keybind-key bolded">
A
</div>
</div>
<div class="game-hud-controls-keybind-wrapper" id="game-hud-controls-keybind-moveRight-wrapper">
<div class="game-hud-controls-keybind-label">
Move Right
</div>
<div id="game-hud-controls-keybind-moveRight" class="game-hud-controls-keybind-key bolded">
D
</div>
</div>
<div class="game-hud-controls-keybind-wrapper" id="game-hud-controls-keybind-moveDown-wrapper">
<div class="game-hud-controls-keybind-label">
Move Down
</div>
<div id="game-hud-controls-keybind-moveDown" class="game-hud-controls-keybind-key bolded">
S
</div>
</div>
<div id="game-hud-controls-keybind-pickup-wrapper" class="game-hud-controls-keybind-wrapper">
<div class="game-hud-controls-keybind-label">
Pick Up Item
</div>
<div id="game-hud-controls-keybind-pickup" class="game-hud-controls-keybind-key bolded">
F
</div>
</div>
<div id="game-hud-controls-keybind-drop-wrapper" class="game-hud-controls-keybind-wrapper">
<div class="game-hud-controls-keybind-label">
Drop Item
</div>
<div id="game-hud-controls-keybind-drop" class="game-hud-controls-keybind-key bolded">
F
</div>
</div>
<div id="game-hud-controls-keybind-scoreboard-wrapper" class="game-hud-controls-keybind-wrapper">
<div class="game-hud-controls-keybind-label">
Scoreboard
</div>
<div id="game-hud-controls-keybind-scoreboard" class="game-hud-controls-keybind-key bolded">
Tab
</div>
</div>
<div id="game-hud-controls-keybind-ability-wrapper" class="game-hud-controls-keybind-wrapper">
<div class="game-hud-controls-keybind-label">
Use Ability
</div>
<div id="game-hud-controls-keybind-ability" class="game-hud-controls-keybind-key bolded">
LeftShift
</div>
</div>
<div id="game-hud-controls-keybind-action-wrapper" class="game-hud-controls-keybind-wrapper">
<div class="game-hud-controls-keybind-label">
Attack
</div>
<div id="game-hud-controls-keybind-action" class="game-hud-controls-keybind-key bolded">
Space
</div>
</div>
<div id="game-hud-controls-keybind-controlsToggle-wrapper" class="game-hud-controls-keybind-wrapper">
<div class="game-hud-controls-keybind-label">
Show/Hide
</div>
<div id="game-hud-controls-keybind-controlsToggle" class="game-hud-controls-keybind-key bolded">
H
</div>
</div>
</div>
</div>
<div id="game-hud-fps-wrapper" class="noselect">
<span class="bolded">FPS: </span>
<span id="game-hud-fps-text"></span>
</div>
<div id="game-hud-ping-wrapper" class="noselect">
<span class="bolded">Ping: </span>
<span id="game-hud-ping-text"></span>
</div>
</div>
<div id="game-win-wrapper">
<div id="game-win-text" class="noselect">PLAYER WINS</div>
</div>
<div id="game-scoreboard-wrapper" class="menu-wrapper-class noselect">
<table id="game-scoreboard-table" cellspacing="0">
<thead>
<tr id="game-scoreboard-table-header">
<th class="game-scoreboard-table-header-cell game-scoreboard-table-header-player-cell"></th>
<th class="game-scoreboard-table-header-cell">
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" height="1.5em" width="1.5em" style="margin: 0 auto; display: block;">
<g transform="translate(0,0)">
<path d="M491.844 22.533l-83.42 14.865L196.572 249.25c3.262 4.815 5.37 10.72 5.37 16.932 0 5.863-1.71 11.35-4.643 15.996-5.065-1.606-10.448-2.477-16.027-2.477-15.724 0-29.904 6.89-39.69 17.796l-9.112-9.113 17.237-17.237c-4.515-5.772-8.907-11.645-13.19-17.6l-19.443 19.44-13.215-13.215 21.828-21.827c-4.403-6.59-8.67-13.278-12.792-20.068l-40.802 40.803 58.314 58.314c-1.613 5.075-2.49 10.47-2.49 16.063 0 7.666 1.65 14.96 4.592 21.564l-72.14 72.14-14.56-14.56L21.013 437l14.558 14.56-8.607 8.608 27.246 27.246 8.606-8.61 14.56 14.56 24.798-24.8-14.557-14.556 72.158-72.16c6.586 2.922 13.858 4.562 21.498 4.562 5.593 0 10.988-.877 16.063-2.49l58.363 58.363L296.5 401.48c-6.797-4.127-13.486-8.395-20.068-12.793l-21.83 21.83L241.39 397.3l19.442-19.44c-5.962-4.29-11.835-8.683-17.603-13.194l-17.238 17.238-9.16-9.16c10.905-9.785 17.795-23.965 17.795-39.69 0-5.346-.806-10.51-2.285-15.39 4.703-3.04 10.288-4.817 16.265-4.816 6.21 0 11.776 1.77 16.52 4.955L476.98 105.95l14.864-83.417zm-66.227 53.012l13.215 13.215-191.684 191.68-13.214-13.213L425.617 75.545zM181.273 298.39c19.257 0 34.665 15.41 34.665 34.665 0 19.256-15.408 34.666-34.665 34.666-19.256 0-34.666-15.41-34.666-34.665s15.41-34.666 34.666-34.666z" fill="#fff" fill-opacity="1" transform="translate(51.2, 51.2) scale(0.8, 0.8) rotate(360, 256, 256) skewX(0) skewY(0)"></path>
</g>
</svg></th>
<th class="game-scoreboard-table-header-cell">
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" height="1.5em" width="1.5em" style="margin: 0 auto; display: block;">
<g transform="translate(0,0)">
<path d="M425.344 22.22c-9.027.085-18.7 5.826-24.344 19.405-11.143 26.803-31.93 59.156-58.563 93.47 10.57 8.694 19.85 18.92 27.5 30.31 35.1-26.57 68.882-46.81 98.125-56.75 44.6-15.16 12.02-69.72-35.343-35.343 26.91-27.842 11.107-51.27-7.376-51.093zm-341.22.03c-18.5.378-37.604 23.962-16.343 49.875C31.523 38.635-.802 85.48 37.095 102.813c28.085 12.844 62.54 35.66 99.062 64.343 8.125-12.5 18.207-23.61 29.78-32.937-26.782-35.743-48.44-69.835-61.78-98.47-4.515-9.69-12.22-13.66-20.03-13.5zm169.5 99.688c-67.104 0-121.31 54.21-121.31 121.312 0 44.676 24.04 83.613 59.905 104.656v56.406h18.718v-47.468c5.203 1.95 10.576 3.552 16.093 4.78v42.688h18.69v-40.03c2.614.167 5.247.25 7.905.25 2.637 0 5.25-.086 7.844-.25v40.03h18.686v-42.687c5.52-1.226 10.89-2.834 16.094-4.78v47.467h18.688V347.97c35.92-21.03 60-60.003 60-104.72 0-67.105-54.208-121.313-121.313-121.313zm-66.874 88.218c19.88 0 36 16.12 36 36s-16.12 36-36 36-36-16.12-36-36 16.12-36 36-36zm133.563 0c19.878 0 36 16.12 36 36s-16.122 36-36 36c-19.88 0-36-16.12-36-36s16.12-36 36-36zm-66.72 52.344l29.938 48.188h-59.874l29.938-48.188zm-107.28 70.563c-40.263 32.472-78.546 58.41-109.22 72.437-37.896 17.334-5.57 64.146 30.688 30.656-30.237 36.854 21.167 69.05 36.376 36.406 15.072-32.352 40.727-71.7 72.438-112.5-11.352-7.506-21.564-16.603-30.28-27zm213.156 1.718c-8.155 9.415-17.542 17.72-27.908 24.69 31.846 39.39 56.82 76.862 69.438 107.217 17.203 41.383 71.774 9.722 31.72-31.718 47.363 34.376 79.94-20.185 35.342-35.345-32.146-10.926-69.758-34.3-108.593-64.844z" fill="#fff" fill-opacity="1" transform="translate(51.2, 51.2) scale(0.8, 0.8) rotate(360, 256, 256) skewX(0) skewY(0)"></path>
</g>
</svg>
</th>
<th class="game-scoreboard-table-header-cell">DAMAGE DEALT</th>
<th class="game-scoreboard-table-header-cell">DAMAGE TAKEN</th>
</tr>
</thead>
<tbody id="game-scoreboard-body">
</tbody>
</table>
</div>
</div>
<div id="options-wrapper" class="menu-wrapper-class">
<div id="options-header-wrapper">
<div id="options-header-game-icon" class="options-header-icon-wrapper">
<svg class="options-header-icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" height="2.25em" width="2.25em">
<g transform="translate(0,-2)" style="touch-action: none;">
<path d="M155.084 125.945c-.46 0-.926.01-1.397.034-5.646.285-12.097 2.464-20.707 8.204-21.824 14.55-51.912 60.395-67.834 110.005-15.92 49.61-18.046 102.25 5.936 132.966 4.142 5.306 13.387 8.93 23.756 8.846 10.216-.084 20.682-3.838 26.482-9.44 1.022-1.47 9.296-13.336 21.39-27.404 12.863-14.96 28.716-31.686 45.835-38.777 41.863-17.34 93.024-17.34 134.887 0 17.118 7.092 32.97 23.818 45.834 38.778 12.095 14.068 20.37 25.933 21.39 27.404 5.8 5.602 16.267 9.356 26.483 9.44 10.368.085 19.612-3.54 23.755-8.846 23.973-30.704 21.885-83.575 5.978-133.287-15.907-49.713-46.054-95.526-67.783-109.624-11.498-7.46-19.198-8.73-26.285-7.64-7.088 1.093-14.347 5.197-22.866 11.07-17.038 11.746-38.898 30.02-73.952 30.02-35.212 0-57.115-18.514-74.13-30.356-8.505-5.92-15.73-10.025-22.743-11.078-1.315-.198-2.65-.312-4.03-.317zm212.904 48.75a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zM135 183h18v32h32v18h-32v32h-18v-32h-32v-18h32v-32zm200.988 23.695a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm64 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-32 32a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-160 7h32v18h-32v-18zm64 0h27.897v18h-27.897v-18z" fill="#ffffff" fill-opacity="1" transform="translate(0, -20) scale(1, 1) rotate(360, 256, 256)"></path>
</g>
</svg>
</div>
<div id="options-header-settings-icon" class="options-header-icon-wrapper">
<svg class="options-header-icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" height="1.75em" width="1.75em">
<g transform="translate(0,-1)" style="touch-action: none;">
<path d="M234.875 18.78c-26.087 2.367-51.557 8.56-74.875 18.782 15.37 32.763 14.222 66.706-6.72 82.407-20.835 15.617-54.055 7.965-81.124-15.69-16.246 19.452-29.336 41.36-38.875 65.626 33.83 12.333 56.635 37.665 52.94 63.5-3.698 25.835-32.697 43.74-68.626 46.094 2.338 25.796 8.91 50.778 18.937 73.875 17.81-8.182 35.793-11.09 51.095-8.938 13.032 1.87 23.927 7.015 31.156 16.657 15.817 21.097 7.603 54.713-16.78 81.97 19.516 16.35 42.216 29.444 66.594 39.03 12.33-33.828 37.655-56.634 63.5-52.938 25.844 3.697 43.74 32.696 46.094 68.625 26.087-2.365 51.557-8.555 74.875-18.78-15.766-32.997-14.26-67.588 6.843-83.406 9.64-7.23 22.568-9.022 35.594-7.125 15.112 2.16 31.19 10.25 45.563 22.78 16.088-19.345 29.4-41.51 38.875-65.594-33.83-12.332-56.635-37.653-52.938-63.5 3.697-25.846 32.665-43.772 68.594-46.125-2.36-25.944-8.774-50.663-18.906-73.874-32.612 15.117-66.66 13.145-82.282-7.687-15.696-20.944-7.252-53.86 16.688-81-19.52-16.352-42.248-29.447-66.625-39.032-12.332 33.828-37.657 56.66-63.5 52.968-25.846-3.693-43.744-32.696-46.095-68.625zm21.656 95.126c79.626 0 144.376 64.752 144.376 144.375 0 79.626-64.75 144.376-144.375 144.376-79.624 0-144.374-64.75-144.374-144.375 0-79.624 64.75-144.374 144.375-144.374zm0 18.688c-69.524 0-125.686 56.162-125.686 125.687 0 69.526 56.162 125.69 125.687 125.69 69.526 0 125.69-56.164 125.69-125.69 0-69.522-56.164-125.686-125.69-125.686zm.033 15.125c61.094 0 110.625 49.53 110.625 110.624 0 61.095-49.53 110.625-110.625 110.625s-110.625-49.53-110.625-110.626c0-61.095 49.53-110.625 110.625-110.625z" fill="#ffffff" fill-opacity="1" transform="translate(0, 20) scale(1, 1) rotate(360, 256, 256)"></path>
</g>
</svg>
</div>
<div id="options-header-controls-icon" class="options-header-icon-wrapper">
<svg class="options-header-icon" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:cc="http://creativecommons.org/ns#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:svg="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/2000/svg" id="svg8" version="1.1" viewBox="0 0 79.287992 47.502498" height="1.5em" width="2.25em" transform="translate(0,2)">
<g transform="translate(-27.751769,-106.55593)" id="layer1">
<g style="stroke:#000000;stroke-width:5.53700781;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" transform="matrix(0.26458333,0,0,0.26458333,30.616072,62.957144)" id="g851">
<g style="stroke:#000000;stroke-width:5.53700781;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" class="" transform="translate(0,20)" id="g838">
<path style="fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:5.53700781;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" d="m -8.0572096,168.55133 v 174 H 286.07696 v -174 z m 7,14 H 17.327713 v 18 H -1.0572096 Z m 36.7698396,0 h 18.384917 v 18 H 35.71263 Z m 36.769835,0 h 18.384917 v 18 H 72.482465 Z m 36.769835,0 h 18.38491 v 18 H 109.2523 Z m 36.76983,0 h 18.38492 v 18 h -18.38492 z m 36.76983,0 h 18.38492 v 18 h -18.38492 z m 36.76984,0 h 18.38491 v 18 H 219.5618 Z m 36.76983,0 h 18.38492 v 18 H 256.33163 Z M -1.0572096,212.53102 H 30.942795 v 17.24239 H -1.0572096 Z m 48.0000046,0 h 16 v 17.24239 h -16 z m 32,0 h 15.999997 v 17.24239 H 78.942795 Z m 31.999995,0 h 16 v 17.24239 h -16 z m 32,0 h 16 v 17.24239 h -16 z m 32,0 h 16 v 17.24239 h -16 z m 32,0 h 16 v 17.24239 h -16 z m 26.19162,0 h 39.86486 v 17.24239 h -39.86486 z m 21.93838,27.02031 h 17.99891 l 10e-4,57 h -25 v -18 h 7 z m -256.1299996,7 H 14.942795 v 18 H -1.0572096 Z m 32.0000046,0 h 16 v 18 h -16 z m 32,0 h 16 v 18 h -16 z m 31.999997,0 h 15.999998 v 18 H 94.942792 Z m 31.999998,0 h 16 v 18 h -16 z m 32,0 h 16 v 18 h -16 z m 32,0 h 16 v 18 h -16 z m 32,0 h 16 v 18 h -16 z m -223.9999996,32 H 30.942795 v 18 H -1.0572096 Z m 48.0000046,0 h 16 v 18 h -16 z m 32,0 h 15.999997 v 18 H 78.942795 Z m 31.999995,0 h 16 v 18 h -16 z m 32,0 h 16 v 18 h -16 z m 32,0 h 16 v 18 h -16 z m 32,0 h 16 v 18 h -16 z m -207.9999996,32 H 14.942795 v 18 H -1.0572096 Z m 32.0000046,0 h 16 v 18 h -16 z m 32,0 H 206.94279 v 18 H 62.942795 Z m 159.999995,0 h 16 v 18 h -16 z m 32,0 h 16 v 18 h -16 z" id="path836" />
</g>
</g>
</g>
</svg>
</div>
<div id="options-header-close-icon" class="options-header-icon-wrapper">
<div class="close"></div>
</div>
</div>
<div id="options-content-game-wrapper" class="options-content-wrapper">
<div id="options-chat-wrapper" class="menu-wrapper-class">
<div id="options-chat-content-wrapper"></div>
<input id="options-chat-input" autocomplete="off" type="text" placeholder="Send a message to the lobby" maxlength="128">
<div id="options-chat-send" class="button-default noselect menu-slanted">
<span class="menu-slanted-content">SEND</span>
</div>
</div>
<div id="options-game-leave" class="button-default menu-slanted noselect">
<span class="menu-slanted-content">LEAVE MATCH</span>
</div>
</div>
<div id="options-content-settings-wrapper" class="options-content-wrapper noselect">
<h1>SOUND</h1>
<div class="options-settings-option-wrapper">
<label for=options-settings-volumemaster">Master Volume</label>
<input name="options-settings-volumemaster" id="options-settings-volumemaster" type="range" min="0" max="1" value="1" step="0.05">
<output for="options-settings-volumemaster" id="options-settings-volumemaster-value">100%</output>
</div>
<div class="options-settings-option-wrapper">
<label for=options-settings-volumegame">Game Volume</label>
<input name="options-settings-volumegame" id="options-settings-volumegame" type="range" min="0" max="1" value="1" step="0.05">
<output for="options-settings-volumegame" id="options-settings-volumegame-value">100%</output>
</div>
<div class="options-settings-option-wrapper">
<label for=options-settings-volumeui">UI Volume</label>
<input name="options-settings-volumeui" id="options-settings-volumeui" type="range" min="0" max="1" value="1" step="0.05">
<output for="options-settings-volumeui" id="options-settings-volumeui-value">100%</output>
</div>
<br>
<h1>GRAPHICS</h1>
<div id="options-settings-particlesDisabled" class="options-settings-option-wrapper">
<input id="options-settings-particlesDisabled-check" type="checkbox">
<span>Disable particles (increases performance)</span>
</div>
<div id="options-settings-screenshake" class="options-settings-option-wrapper">
<input id="options-settings-screenshake-check" type="checkbox">
<span>Screenshake</span>
</div>
<div id="options-settings-playBlockAnimations" class="options-settings-option-wrapper">
<input id="options-settings-playBlockAnimations-check" type="checkbox">
<span>Play block animations</span>
</div>
<div id="options-settings-movingBackground" class="options-settings-option-wrapper">
<input id="options-settings-movingBackground-check" type="checkbox">
<span>Enable parallax (moving) background</span>
</div>
<br>
<h1>INTERFACE</h1>
<div id="options-settings-profanityFilter" class="options-settings-option-wrapper">
<input id="options-settings-profanityFilter-check" type="checkbox">
<span>Enable profanity filter</span>
</div>
<h2>HUD</h2>
<div id="options-settings-showInGameName" class="options-settings-option-wrapper">
<input id="options-settings-showInGameName-check" type="checkbox">
<span>Show player names above health bars</span>
</div>
<div id="options-settings-showPlayerUi" class="options-settings-option-wrapper">
<input id="options-settings-showPlayerUi-check" type="checkbox">
<span>Show player health, ability progress, weapon durability</span>
</div>
<div id="options-settings-showPlayerLives" class="options-settings-option-wrapper">
<input id="options-settings-showPlayerLives-check" type="checkbox">
<span>Show player lives in-game</span>
</div>
<div id="options-settings-showKillMessages" class="options-settings-option-wrapper">
<input id="options-settings-showKillMessages-check" type="checkbox">
<span>Show kill messages in-game</span>
</div>
<div id="options-settings-showInGameChat" class="options-settings-option-wrapper">
<input id="options-settings-showInGameChat-check" type="checkbox">
<span>Show chat in-game</span>
</div>
<div id="options-settings-showSpectatorControls" class="options-settings-option-wrapper">
<input id="options-settings-showSpectatorControls-check" type="checkbox">
<span>Show spectator controls</span>
</div>
<div class="options-settings-option-wrapper">
<label for=options-settings-chatscale">Game chat scale</label>
<input name="options-settings-chatscale" id="options-settings-chatscale" type="range" min="0.5" max="1.5" value="1" step="0.05">
<output for="options-settings-chatscale" id="options-settings-chatscale-value">1x</output>
</div>
<div class="options-settings-option-wrapper">
<label for=options-settings-chatopacity">Game chat opacity</label>
<input name="options-settings-chatopacity" id="options-settings-chatopacity" type="range" min="0" max="1" value="0.5" step="0.05">
<output for="options-settings-chatopacity" id="options-settings-chatopacity-value">50%</output>
</div>
<div class="options-settings-option-wrapper">
<label for=options-settings-minimapscale">Minimap scale</label>
<input name="options-settings-minimapscale" id="options-settings-minimapscale" type="range" min="0.9" max="2" value="1" step="0.1">
<output for="options-settings-minimapscale" id="options-settings-minimapscale-value">1x</output>
</div>
<div id="options-settings-showFps" class="options-settings-option-wrapper">
<input id="options-settings-showFps-check" type="checkbox">
<span>Show FPS in-game</span>
</div>
<div id="options-settings-showPing" class="options-settings-option-wrapper">
<input id="options-settings-showPing-check" type="checkbox">
<span>Show ping in-game</span>
</div>
<h2>MENU</h2>
<div id="options-settings-hideLobbyCode" class="options-settings-option-wrapper">
<input id="options-settings-hideLobbyCode-check" type="checkbox">
<span>Hide Lobby Match Code</span>
</div>
<br><br><br><br>
<h1>EXPERIMENTAL</h1>
<h4>These features are in development, and are not finalized. Using them is not recommended.</h4>
<div id="options-settings-prediction" class="options-settings-option-wrapper">
<input id="options-settings-prediction-check" type="checkbox">
<span>Movement prediction (may increase smoothness)</span>
</div>
</div>
 <div id="options-content-controls-wrapper" class="options-content-wrapper noselect">
<div class="options-controls-wrapper">
<h1>PLAYER</h1>
<div class="options-controls-keybind-wrapper">
<span>Jump / Ghost Move Up</span>
<div id="options-controls-keybind-jump" tabindex="0" class="options-controls-keybind bolded">W</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Move Left</span>
<div id="options-controls-keybind-moveLeft" tabindex="0" class="options-controls-keybind bolded">A</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Move Right</span>
<div id="options-controls-keybind-moveRight" tabindex="0" class="options-controls-keybind bolded">D</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Ghost Move Down</span>
<div id="options-controls-keybind-moveDown" tabindex="0" class="options-controls-keybind bolded">S</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Attack</span>
<div id="options-controls-keybind-action" tabindex="0" class="options-controls-keybind bolded">Space</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Use Ability</span>
<div id="options-controls-keybind-ability" tabindex="0" class="options-controls-keybind bolded">ShiftLeft</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Pick Up Item</span>
<div id="options-controls-keybind-pickup" tabindex="0" class="options-controls-keybind bolded">F</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Drop Item</span>
<div id="options-controls-keybind-drop" tabindex="0" class="options-controls-keybind bolded">F</div>
</div>
<h1>INTERFACE</h1>
<div class="options-controls-keybind-wrapper">
<span>Show Scoreboard</span>
<div id="options-controls-keybind-scoreboard" tabindex="0" class="options-controls-keybind bolded">Tab</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Toggle Controls Overlay</span>
<div id="options-controls-keybind-controlsToggle" tabindex="0" class="options-controls-keybind bolded">H</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Focus In-Game Chat</span>
<div id="options-controls-keybind-chatFocus" tabindex="0" class="options-controls-keybind bolded">Enter</div>
</div>
<h1>SPECTATE</h1>
<div class="options-controls-keybind-wrapper">
<span>Move Camera Up</span>
<div id="options-controls-keybind-spectateUp" tabindex="0" class="options-controls-keybind bolded">W</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Move Camera Down</span>
<div id="options-controls-keybind-spectateDown" tabindex="0" class="options-controls-keybind bolded">S</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Move Camera Left</span>
<div id="options-controls-keybind-spectateLeft" tabindex="0" class="options-controls-keybind bolded">A</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Move Camera Right</span>
<div id="options-controls-keybind-spectateRight" tabindex="0" class="options-controls-keybind bolded">D</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Spectate Previous Player</span>
<div id="options-controls-keybind-spectatePlayerBack" tabindex="0" class="options-controls-keybind bolded">ArrowLeft</div>
</div>
<div class="options-controls-keybind-wrapper">
<span>Spectate Next Player</span>
<div id="options-controls-keybind-spectatePlayerNext" tabindex="0" class="options-controls-keybind bolded">ArrowRight</div>
</div>
</div>
<div id="options-controls-reset-wrapper">
<div id="options-controls-reset" class="button-default menu-slanted noselect">
<span class="menu-slanted-content">RESET CONTROLS</span>
</div>
</div>
</div>
</div>
<script type="3f1e4d3bd3da2e37384d7bd0-text/javascript" src="static/bundle.js?v=0.0.6-5"></script>
<script src="rocket-loader.min.js" data-cf-settings="3f1e4d3bd3da2e37384d7bd0-|49" defer=""></script></body>
</html>
